#include "PlayerInput.h"
#include <iostream>
#include <cctype>

char PlayerInput::getValidInput() {
    std::string input;
    while (true) {
        std::cout << "Введите букву: ";
        std::cin >> input;
        if (input.length() == 1 && std::isalpha(input[0])) {
            return tolower(input[0]);
        }
        std::cout << "Некорректный ввод. Введите одну букву.\n";
    }
}
